Show / Hide Table of Contents

# Class ActorOffsets

##### Inheritance

System.Object
ActorOffsets

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Game.ClientState.Structs

###### Assembly: Dalamud.dll

##### Syntax

    public class ActorOffsets

### Fields

| Improve this Doc View Source

#### ActorId

##### Declaration

    public const int ActorId = 116

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### BattleNpcTargetActorId

##### Declaration

    public const int BattleNpcTargetActorId = 6328

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### ClassJob

##### Declaration

    public const int ClassJob = 482

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### CompanyTag

##### Declaration

    public const int CompanyTag = 6290

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### CurrentCp

##### Declaration

    public const int CurrentCp = 476

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### CurrentGp

##### Declaration

    public const int CurrentGp = 468

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### CurrentHp

##### Declaration

    public const int CurrentHp = 452

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### CurrentMp

##### Declaration

    public const int CurrentMp = 460

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### CurrentWorld

##### Declaration

    public const int CurrentWorld = 6460

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### Customize

##### Declaration

    public const int Customize = 6264

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### DataId

##### Declaration

    public const int DataId = 128

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### HomeWorld

##### Declaration

    public const int HomeWorld = 6462

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### IsFriendly

##### Declaration

    public const int IsFriendly = 142

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### Level

##### Declaration

    public const int Level = 483

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### MaxCp

##### Declaration

    public const int MaxCp = 480

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### MaxGp

##### Declaration

    public const int MaxGp = 472

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### MaxHp

##### Declaration

    public const int MaxHp = 456

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### MaxMp

##### Declaration

    public const int MaxMp = 464

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### Name

##### Declaration

    public const int Name = 48

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### NameId

##### Declaration

    public const int NameId = 6432

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### ObjectKind

##### Declaration

    public const int ObjectKind = 140

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### OwnerId

##### Declaration

    public const int OwnerId = 132

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### PlayerCharacterTargetActorId

##### Declaration

    public const int PlayerCharacterTargetActorId = 560

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### PlayerTargetStatus

##### Declaration

    public const int PlayerTargetStatus = 145

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### Position

##### Declaration

    public const int Position = 160

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### Rotation

##### Declaration

    public const int Rotation = 176

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SubKind

##### Declaration

    public const int SubKind = 141

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### UIStatusEffects

##### Declaration

    public const int UIStatusEffects = 6488

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### YalmDistanceFromPlayerX

##### Declaration

    public const int YalmDistanceFromPlayerX = 144

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### YalmDistanceFromPlayerY

##### Declaration

    public const int YalmDistanceFromPlayerY = 146

##### Field Value

Type | Description
--- | ---
System.Int32 |